/*--------------------------------------
    Assine GNEX
--------------------------------------*/

const vm = new Vue({
    el: "#" + SERVICE,
    data: {
    produtos: [],
    produto: false,
    carrinho: [],
    formulario: false,
    cep: false,
    },
    filters: {
    numeroPreco(valor) {
        return valor.toLocaleString("pt-BR", {
        style: "currency",
        currency: "BRL",
        });
    },
    },
    computed: {
    carrinhoTotal() {
        let total = 0;
        if (this.carrinho.length) {
        this.carrinho.forEach((item) => {
            total += item.price;
        });
        }
        return total;
    },
    },
    methods: {
    fetchProdutos() {
        fetch(API_URL + SERVICE)
        .then((r) => r.json())
        .then((r) => {
            this.produtos = r;
        });
        console.log(API_URL + SERVICE);
    },
    adicionarItem(item) {             
        this.produto = item;
        console.log(
        "The product selected has de ID: " +
        this.produto.id +
            " , also known as: " +
            this.produto.title
        );

        this.produto.estoque--;
        const { id, title, price } = this.produto;
        this.carrinho.pop();
        this.carrinho.push({ id, title, price });
    },
    removerItem(index) {
        this.produto.estoque++;
        this.carrinho.splice(index, 1);
        console.log('Estoque atual:' + this.produto.estoque);
    },
    checarLocalStorage() {
        if (window.localStorage.carrinho)
        this.carrinho = JSON.parse(window.localStorage.carrinho);
    },
    },
    watch: {
    carrinho() {
        window.localStorage.carrinho = JSON.stringify(this.carrinho);
        console.log();
    },
    },
    created() {
    this.fetchProdutos();
    this.checarLocalStorage();
    },
});