<?php
/**
 * Retorna a listagem dos produtos de internet.
 *
 * @param WP_REST_Request $request
 *
 * @return array|WP_Error
 */

 function rest_get_products( WP_REST_Request $request ) {

    $servico = $request->get_param( 'servico' );

    $query_args    = array(
        'post_type'      =>  $servico,
        'posts_per_page' => - 1,
        'orderby'   => 'title',
		'order'     => 'ASC',
    );

    $produtos = (new WP_Query($query_args))->posts;

    if ( ! $produtos ) {
        return new WP_Error( 404, "Nenhum serviço localizado" );
    }

    foreach ($produtos as $produto) {
        $valor_original = floatval(get_field('valor_original', $produto->ID));
        $valor_promocional = floatval(get_field('valor_promocional', $produto->ID));
        $itens = get_field('itens', $produto->ID);
        $estoque = floatval(get_field('estoque', $produto->ID));
        $estoque = floatval(get_field('estoque', $produto->ID));

        $tmp = [
            'id' => $produto->ID,
            'title' => $produto->post_title,
            'details' => $itens,
            'price' => $valor_original ? $valor_original : null,
            'promocional_price' => $valor_promocional ? $valor_promocional : null,
            'estoque' => $estoque ? $estoque : null,
        ];

        $result[] = $tmp;
    }

    return $result;
}