<?php

$assetsForceBuild = false;

function isAssetsMin() {
    global $assetsForceBuild;

    return (WP_ENV !== 'development' || $assetsForceBuild);
}

function assets($url) {
    static $assetsManifest;

    if(!$assetsManifest) {
            $assetsManifest = json_decode(file_get_contents(get_template_directory() . '/assets/manifest.json'), true);
    }

    $url = preg_replace('/^\//', '', $url, 1);

    if (isAssetsMin() && isset($assetsManifest[$url])) {
        $url = $assetsManifest[$url];
    }

    return get_template_directory_uri() . '/assets/' . $url;
}

function images($url) {
    static $imagesManifest;

    if(!$imagesManifest) {
            $imagesManifest = json_decode(file_get_contents(get_template_directory() . '/assets/manifest-img.json'), true);
    }

    $url = preg_replace('/^\//', '', $url, 1);

    if (isAssetsMin() && isset($imagesManifest[$url])) {
        $url = $imagesManifest[$url];
    }

    return assets('/img/' . $url);
};

function remove_menus()
{
    remove_menu_page('edit.php');
    remove_menu_page('edit-comments.php');
    if(!current_user_can('administrator')) {
        remove_menu_page('tools.php');
        remove_menu_page('wpcf7');
    }
}

add_action('admin_menu', 'remove_menus', 50);

if (WP_ENV === 'development') {
    add_filter('filesystem_method', function($a) { return "direct"; });
    define('FS_CHMOD_DIR', 0775);
    define('FS_CHMOD_FILE', 0664);
}

add_filter('roots/wrap_base', 'roots_wrap_base_cpts'); // Add our function to the roots_wrap_base filter

function roots_wrap_base_cpts($templates) {
    $cpt = get_post_type(); // Get the current post type
    if ($cpt) {
        array_unshift($templates, 'base-' . $cpt . '.php'); // Shift the template to the front of the array
    }

    return $templates; // Return our modified array with base-$cpt.php at the front of the queue
}

add_filter('roots/wrap_class', 'roots_wrap_class'); // Add our function to the comjol_wrap_class filter

function roots_wrap_class() {

	$wrap_class = 'container-fluid';

	return $wrap_class;
}


add_filter('post_class', 'pc_remove_hentry'); //Remove o "hentry" dos post types não postagens

function pc_remove_hentry($classes)
{
    if (!in_array(get_post_type(), ['post', 'blog', 'noticia'])) {
        $classes = array_diff($classes, ['hentry']);
    }

    return $classes;
}
