<?php
/**
 * Clean up the_excerpt()
 */
function roots_excerpt_more() {
  return ' &hellip; <a href="' . get_permalink() . '">' . __('Continued', 'roots') . '</a>';
}
add_filter('excerpt_more', 'roots_excerpt_more');


function root_wpseo_metabox_prio(){
	return 'low';
}
add_filter( 'wpseo_metabox_prio', 'root_wpseo_metabox_prio' );


/**
 * Insere um item antes da key informada, retornando a nova array
 * @param array $array
 * @param string $key
 * @param mixed $data
 * @return array
 */
function insertBeforeKey($array, $key, $data = null)
{
	if (($offset = array_search($key, array_keys($array))) === false) // if the key doesn't exist
	{
		$offset = 0; // should we prepend $array with $data?
		$offset = count($array); // or should we append $array with $data? lets pick this one...
	}

	return array_merge(array_slice($array, 0, $offset), (array)$data, array_slice($array, $offset));
}


/**
 * Disable Gutenberg action and filter hooks.
 */
function pc_disable_gutenberg_hooks() {
    remove_action( 'admin_menu', 'gutenberg_menu' );
    remove_action( 'admin_init', 'gutenberg_redirect_demo' );

    remove_filter( 'wp_refresh_nonces', 'gutenberg_add_rest_nonce_to_heartbeat_response_headers' );
    remove_filter( 'get_edit_post_link', 'gutenberg_revisions_link_to_editor' );
    remove_filter( 'wp_prepare_revision_for_js', 'gutenberg_revisions_restore' );

    remove_action( 'rest_api_init', 'gutenberg_register_rest_routes' );
    remove_action( 'rest_api_init', 'gutenberg_add_taxonomy_visibility_field' );
    remove_filter( 'rest_request_after_callbacks', 'gutenberg_filter_oembed_result' );
    remove_filter( 'registered_post_type', 'gutenberg_register_post_prepare_functions' );

    remove_action( 'do_meta_boxes', 'gutenberg_meta_box_save', 1000 );
    remove_action( 'submitpost_box', 'gutenberg_intercept_meta_box_render' );
    remove_action( 'submitpage_box', 'gutenberg_intercept_meta_box_render' );
    remove_action( 'edit_page_form', 'gutenberg_intercept_meta_box_render' );
    remove_action( 'edit_form_advanced', 'gutenberg_intercept_meta_box_render' );
    remove_filter( 'redirect_post_location', 'gutenberg_meta_box_save_redirect' );
    remove_filter( 'filter_gutenberg_meta_boxes', 'gutenberg_filter_meta_boxes' );

    remove_action( 'admin_notices', 'gutenberg_build_files_notice' );
    remove_filter( 'body_class', 'gutenberg_add_responsive_body_class' );
    remove_filter( 'admin_url', 'gutenberg_modify_add_new_button_url' ); // old
    remove_action( 'admin_enqueue_scripts', 'gutenberg_check_if_classic_needs_warning_about_blocks' );
    remove_filter( 'register_post_type_args', 'gutenberg_filter_post_type_labels' );

    remove_action( 'admin_init', 'gutenberg_add_edit_link_filters' );
    remove_action( 'admin_print_scripts-edit.php', 'gutenberg_replace_default_add_new_button' );
    remove_filter( 'redirect_post_location', 'gutenberg_redirect_to_classic_editor_when_saving_posts' );
    remove_filter( 'display_post_states', 'gutenberg_add_gutenberg_post_state' );
    remove_action( 'edit_form_top', 'gutenberg_remember_classic_editor_when_saving_posts' );
}

/**
 * Disable Gutenberg frontend scripts.
 */
function pc_disable_gutenberg_wp_enqueue_scripts() {
    wp_dequeue_style( 'wp-block-library' );
}

add_filter( 'wp_enqueue_scripts', 'pc_disable_gutenberg_wp_enqueue_scripts', 100 );
add_filter( 'after_setup_theme', 'pc_disable_gutenberg_hooks' );

/**
 * Disable Gutenberg for supported posts.
 */
add_filter( 'use_block_editor_for_post_type', '__return_false', 100 );