<?php
/**
 * Roots initial setup and constants
 */
function roots_setup() {

	// Enable plugins to manage the document title
	// http://codex.wordpress.org/Function_Reference/add_theme_support#Title_Tag
	add_theme_support( 'title-tag' );

	// Register wp_nav_menu() menus
	// http://codex.wordpress.org/Function_Reference/register_nav_menus
	register_nav_menus( array(
		'primary_navigation' => __( 'Primary Navigation', 'roots' ),
		'social_networks' => __( 'Redes Sociais', 'roots' ),
		'my_gnex' => __( 'Minha GNEX', 'roots' ),
		'business_navigation' => __( 'Menu negócios', 'roots' ),
		'help_navigation' => __( 'Ajuda', 'roots' ),
		'pages_navigation' => __( 'Outras páginas', 'roots' ),
	) );

	// Add post thumbnails
	// http://codex.wordpress.org/Post_Thumbnails
	// http://codex.wordpress.org/Function_Reference/set_post_thumbnail_size
	// http://codex.wordpress.org/Function_Reference/add_image_size
	add_theme_support( 'post-thumbnails' );

	// Add HTML5 markup for captions
	// http://codex.wordpress.org/Function_Reference/add_theme_support#HTML5
	add_theme_support( 'html5', array( 'caption', 'comment-form', 'comment-list' ) );

	// Tell the TinyMCE editor to use a custom stylesheet
	if ( WP_ENV === 'development' ) {
		add_editor_style( assets( 'css/main.css' ) );
	} else {
		add_editor_style( assets( 'css/main.min.css' ) );
	}
}

add_action( 'after_setup_theme', 'roots_setup' );

