<?php

namespace Gnex\Postype\Combo;

/**
 * Registra o Post Type de Combo
 */
function register_post_type()
{
    $args = array(
        'label' => 'Combos',
        'public' => true,
        "publicly_queryable" => true,
        'query_var' => true,
        'show_ui' => true,
        'show_in_nav_menus' => true,
        'show_in_menu' => true,
        'show_in_admin_bar' => true,
        'with_front' => false,
        'capability_type' => 'post',
        'menu_icon' => 'dashicons-image-filter',
        'has_archive' => false,
        'labels' => array(
            'name' => 'Combos',
            'singular_name' => 'Combo',
            'menu_name' => 'Combos',
            'name_admin_bar' => 'Combo',
            'add_new' => 'Adicionar Novo',
            'add_new_item' => 'Adicionar novo combo',
            'new_item' => 'Novo combo',
            'edit_item' => 'Editar combo',
            'view_item' => 'Ver combo',
            'all_items' => 'Todos os combos',
            'search_items' => 'Pesquisar combo',
            'not_found' => 'Nenhum combo encontrado.',
            'not_found_in_trash' => 'Nenhum combo encontrado na Lixeira',
        )
    );
    \register_post_type('combo', $args);
}

function manage_edit_columns( $columns ) {

	$columns = insertBeforeKey( $columns, 'date', array(
        'valor_original' => 'Preço Original',
        'valor_promocional' => 'Preço Promocional',
        'velocidades' => 'Velocidades',
	) );

	return $columns;
}

function manage_custom_column( $column_name, $post_id ) {
	switch ( $column_name ) {
        case 'velocidades':
            echo 'Download: ' . get_field('velocidade_download', $post_id) . '<br />';
            echo 'Upload: ' . get_field('velocidade_upload', $post_id) . '<br />';
            break;
        case 'valor_original':
            $value = get_field( $column_name, $post_id );
            if(is_numeric($value)) {
                echo "R$ " . number_format_i18n($value, 2);
            } else {
                echo $value;
            }
			break;
	}
}

add_action('init', __NAMESPACE__ . '\\register_post_type');
add_filter( 'manage_edit-combo_columns', __NAMESPACE__ . '\\manage_edit_columns' );
add_action( 'manage_combo_posts_custom_column', __NAMESPACE__ . '\\manage_custom_column', 10, 3 );