<?php

namespace Gnex\Postype\Internet;

/**
 * Registra o Post Type de Internet
 */
function register_post_type()
{
    $args = array(
        'label' => 'Internet',
        'public' => true,
        "publicly_queryable" => true,
        'query_var' => true,
        'show_ui' => true,
        'show_in_nav_menus' => true,
        'show_in_menu' => true,
        'show_in_admin_bar' => true,
        'with_front' => false,
        'capability_type' => 'post',
        'menu_icon' => 'dashicons-rss',
        'has_archive' => false,
        'labels' => array(
            'name' => 'Internet',
            'singular_name' => 'Internet',
            'menu_name' => 'Internet',
            'name_admin_bar' => 'Internet',
            'add_new' => 'Adicionar Novo',
            'add_new_item' => 'Adicionar Novo Plano',
            'new_item' => 'Novo Plano',
            'edit_item' => 'Editar Plano',
            'view_item' => 'Ver Plano',
            'all_items' => 'Todos os Planos',
            'search_items' => 'Pesquisar Plano',
            'not_found' => 'Nenhum plano encontrado.',
            'not_found_in_trash' => 'Nenhum plano encontrado na Lixeira',
        )
    );
    \register_post_type('internet', $args);
}

function manage_edit_columns( $columns ) {

	$columns = insertBeforeKey( $columns, 'date', array(
        'valor_original' => 'Preço Original',
        // 'valor_promocional' => 'Preço Promocional',
        'velocidades' => 'Velocidades',
	) );

	return $columns;
}

function manage_custom_column( $column_name, $post_id ) {
	switch ( $column_name ) {
        case 'velocidades':
            foreach(get_field('itens', $post_id) as $item) {
                echo $item['item'] . '<br />';
            }
            break;
        case 'valor_original':
            $value = get_field( $column_name, $post_id );
            if(is_numeric($value)) {
                echo "R$ " . number_format_i18n($value, 2);
            } else {
                echo $value;
            }
			break;
	}
}

add_action('init', __NAMESPACE__ . '\\register_post_type');
add_filter( 'manage_edit-internet_columns', __NAMESPACE__ . '\\manage_edit_columns' );
add_action( 'manage_internet_posts_custom_column', __NAMESPACE__ . '\\manage_custom_column', 10, 3 );