<?php
/**
 * Scripts and stylesheets
 *
 * Enqueue stylesheets in the following order:
 * 1. /theme/assets/css/main.css
 *
 * Enqueue scripts in the following order:
 * 1. jquery-1.11.1.min.js via Google CDN
 * 2. /theme/assets/js/vendor/modernizr.min.js
 * 3. /theme/assets/js/scripts.js
 *
 * Google Analytics is loaded after enqueued scripts if:
 * - An ID has been defined in config.php
 * - You're not logged in as an administrator
 */
function roots_scripts() {
  /**
   * The build task in Grunt renames production assets with a hash
   * Read the asset names from assets-manifest.json
   */
  if ( WP_ENV === 'development' ) {
    $assets = array(
      'css'       => assets( '/css/main.css' ),
      'js'        => assets( '/js/scripts.js' ),
      'assine'    => assets( '/js/assine.js' ),
      'modernizr' => assets( '/js/vendor/modernizr.min.js' ),
      'jquery'    => '//code.jquery.com/jquery-2.2.4.min.js'
    );
  } else {
    $assets = array(
      'css'       => assets( '/css/main.min.css' ),
      'js'        => assets( '/js/scripts.min.js' ),
      'assine'    => assets( '/js/assine.js' ),
      'modernizr' => assets( '/js/vendor/modernizr.min.js' ),
      'jquery'    => '//code.jquery.com/jquery-2.2.4.min.js'
    );
  }

  wp_enqueue_style( 'roots_css', $assets['css'], false, null );
  wp_enqueue_script( 'modernizr', $assets['modernizr'], array(), null, false );
  wp_deregister_script( 'jquery' );
  wp_register_script( 'jquery', $assets['jquery'], array(), null, true );
  wp_enqueue_script( 'jquery_migrate', '//code.jquery.com/jquery-migrate-1.4.1.min.js', array( 'jquery' ), null, true );
  wp_enqueue_script( 'roots_js', $assets['js'], array(), null, true );
  wp_enqueue_script( 'assine', $assets['assine'], array(), null, true );
}

add_action( 'wp_enqueue_scripts', 'roots_scripts', 100 );

function roots_wphead_google_webfonts() {
  ?>
    <script type="text/javascript">
        WebFontConfig = {
            google: {families: ['Montserrat:wght@300,400,500,700&display=swap']}
        };
        (function () {
            var wf = document.createElement('script');
            wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
            wf.type = 'text/javascript';
            wf.async = 'true';
            var s = document.getElementsByTagName('script')[0];
            s.parentNode.insertBefore(wf, s);
        })(); </script>
  <?php
}


add_action( 'wp_head', 'roots_wphead_google_webfonts', 100 );

function roots_wphead_livereload() {
  if ( WP_ENV === 'development' ) {
    ?>
        <script src="//servidor:35737/livereload.js"></script>
    <?php
  }
}

function roots_wpfooter_vars() {
  ?>
    <script>
      var TEMPLATE_URL = "<?php echo get_template_directory_uri() ?>",
      URL_PATH = "<?php echo site_url() ?>";
      API_URL = "<?php echo home_url( 'wp-json/v1/' ) ?>";
      SERVICE = "<?php echo basename(get_permalink()); ?>";
    </script>
    <div id="chtflt" style="display:none"><script type="text/javascript">var chtfltUrl = "https://multicanal5.smartisp.com.br/Chat/id/gnextelecom"; var chtfltWidthLogin = ""; var chtfltHeightLogin = "540"; var chtfltWidth = ""; var chtfltHeight = "540"; var chtfltWidthPesquisa = ""; var chtfltHeightPesquisa = "540"; var chtfltTitulo = ""; var chtfltVarComplementar=""; var chtfltTema = "tema_701a1541011348859"; var chtfltLanguage="pt-BR"; var chtfltRobo = "0"; var chtfltUrlImg="https://multicanal5.smartisp.com.br/public/imagens/uploads/chat/chat_imagem_flutuante_20210816091629.png";</script><script type="text/javascript" src="https://multicanal5.smartisp.com.br/public/chat/new/18/chatFlut.js"></script><link rel="stylesheet" href="https://multicanal5.smartisp.com.br/public/chat/new/18/chatFlut.css"></div>
  <?php
}

function roots_wpfooter_addthis() {
  
  ?>
  <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-XXXXXXXXXXXXXXXX"></script>
  <?php
  
}

function roots_facebook_widget(){
    ?>
    <div id="fb-root"></div>
    <script>(function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.8";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));</script>
    </div>
    <?php
}

function roots_wphead_scripts() { ?>

  <?php /* <meta name="theme-color" content="#000000"> */ ?>

<?php }

// Insira aqui o código GTM do cliente
add_filter( 'pc.gtm.client_id', function (){

	return WP_ENV === 'production' ? 'GTM-CODIGOP' : 'GTM-XXXXXXX';

}, 10, 0 );

// add_action( 'wp_footer', 'roots_wpfooter_addthis', 20 );
add_action('wp_head', 'roots_wphead_scripts', 100);
//add_action( 'wp_footer', 'roots_wphead_livereload', 100 );
add_action( 'wp_footer', 'roots_wpfooter_vars', 1 );
//add_action( 'wp_footer', 'roots_facebook_widget', 1 );
