<?php
/**
 * Utility functions
 */
function is_element_empty($element) {
  $element = trim($element);
  return !empty($element);
}

// Tell WordPress to use searchform.php from the templates/ directory
function roots_get_search_form() {
  $form = '';
  locate_template('/templates/searchform.php', true, false);
  return $form;
}
add_filter('get_search_form', 'roots_get_search_form');

/**
 * Add page slug to body_class() classes if it doesn't exist
 */
function roots_body_class($classes) {
  // Add post/page slug
  if (is_single() || is_page() && !is_front_page()) {
    if (!in_array(basename(get_permalink()), $classes)) {
      $classes[] = basename(get_permalink());
    }
  }
  return $classes;
}
add_filter('body_class', 'roots_body_class');

/**
 * Coloca o Wordpress SEO no final dos metaboxes
 * @return string
 */
function yoasttobottom() {
	return 'low';
}

add_filter( 'wpseo_metabox_prio', 'yoasttobottom' );

function disable_wp_emoji_frontend() {
	//Não há suporte para Emojis no Front-end
	if ( is_front_page() ) {
		remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
		remove_action( 'wp_print_styles', 'print_emoji_styles' );
	}
}

add_action( 'wp_head', 'disable_wp_emoji_frontend', 5 );

function disable_wp_adds_home() {
	if ( is_front_page() ) {
		// Remove oEmbed-specific JavaScript from the front-end
		remove_action( 'wp_head', 'wp_oembed_add_host_js' );
	}
}

add_action( 'wp_head', 'disable_wp_adds_home', 5 );