<?php
/*
Template Name: Assine Template
*/
?>

<?php while (have_posts()) : the_post(); ?>
    <?php get_template_part('templates/page', 'header'); ?>

    <div id="<?php echo basename(get_permalink()); ?>">
        <div class="container">
            <h3 v-if="formulario" class="custom-title mb-3 text-center text-md-left text-black-light">Finalize seu pedido</h3>
            <h3 v-else class="custom-title mb-0 text-center text-md-left text-black-light">
                <?php 
                    switch (basename(get_permalink())) {
                        case 'internet':
                            echo "Planos de Internet";
                            break;
                        case 'tv':
                            echo "Planos de TV";
                            break;
                        case 'combos':
                            echo "Todos os Combos";
                            break;
                    }
                ?>
            </h3>
            <div class="row">
                <div class="col-md-8">
                    <form v-if="formulario" action="<?php echo home_url('/'); ?>" class="form-row form-order" data-form-pc-ajax="assine" data-form-pc-ajax-disablealert data-form-pc-ajax-disablescroll>
                        <div class="form-group col-md-12">
                            <label for="nome" class="form-label">Nome</label>
                            <input type="text" id="nome" name="nome" class="form-control" required>
                            <div class="valid-feedback">
                                Muito bom!
                            </div>
                            <div class="invalid-feedback">
                                Informe seu nome completo.
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="email" class="form-label">E-mail</label>
                            <input type="email" id="email" name="email" class="form-control" required>

                            <div class="valid-feedback">
                                Muito bom!
                            </div>
                            <div class="invalid-feedback">
                                Informe um e-mail válido.
                            </div>
                        </div>

                        <div class="form-group col-md-6">
                            <label for="telefone" class="form-label">Telefone/Celular</label>
                            <input type="text" id="telefone" name="telefone" class="form-control telefone mask_fone" required>

                            <div class="valid-feedback">
                                Muito bom!
                            </div>
                            <div class="invalid-feedback">
                                Informe um telefone ou celular válido.
                            </div>
                        </div>

                        <div class="form-group col-md-6">
                            <label for="cnpjcpf" class="form-label">CNPJ/CPF</label>
                            <input type="text" id="cnpjcpf" name="cnpjcpf" class="form-control" required>

                            <div class="valid-feedback">
                                Muito bom!
                            </div>
                            <div class="invalid-feedback">
                                Informe um CNPJ/CPF válido.
                            </div>
                        </div>

                        <div class="form-group col-md-6">
                            <label for="cep" class="form-label">CEP</label>
                            <input type="text" id="cep" name="cep" class="form-control" required>

                            <div class="valid-feedback">
                                Muito bom!
                            </div>
                            <div class="invalid-feedback">
                                Informe seu CEP.
                            </div>
                        </div>  

                        <div class="form-group col-md-12 text-center mx-auto">
                            <button @click="cep = true" type="button" class="btn btn-secondary btn-next-step">Próxima etapa</button>
                        </div>

                        <div v-if="cep" class="form-group col-md-6">
                            <label for="rua" class="form-label">Rua</label>
                            <input type="text" id="rua" name="rua" class="form-control" required>
                        </div>

                        <div v-if="cep" class="form-group col-md-3">
                            <label for="numero" class="form-label">Número</label>
                            <input type="text" id="numero" name="numero" class="form-control" required>
                        </div>

                        <div v-if="cep" class="form-group col-md-3">
                            <label for="bairro" class="form-label">Bairro</label>
                            <input type="text" id="bairro" name="bairro" class="form-control" required>
                        </div>

                        <div v-if="cep" class="form-group col-md-8">
                            <label for="cidade" class="form-label">Cidade</label>
                            <input type="text" id="cidade" name="cidade" class="form-control" required>
                        </div>

                        <div v-if="cep" class="form-group col-md-4">
                            <label for="estado" class="form-label">Estado</label>
                            <input type="text" id="estado" name="estado" class="form-control" required>
                        </div>

                        <div class="form-footer col-md-12 text-center mx-auto">
                            
                            <div v-for="(item, index) in carrinho" :key="item.id">
                                <input type="hidden" name="plano" class="form-control" v-model="item.title">
                                <input type="hidden" name="preco" class="form-control" v-model="item.price">
                                <input type="hidden" name="total" class="form-control" v-model="carrinhoTotal">
                            </div>

                            <?php
                                $blogID = get_current_blog_id();
                                $address = get_blog_option( $blogID, 'address');
                            ?>
                            
                            <input type="hidden" name="site_id" value="<?php echo $blogID ?>">
                            <input type="hidden" name="site_name" value="<?php echo $address ?>">
                            <input type="hidden" name="site_url" value="<?php the_permalink() ?>">
                        
                            <button v-if="cep" type="submit" class="btn btn-secondary btn-contact">Finalizar</button>
                        </div>
                    </form>

                    <div v-else class="plans my-4">
                        <?php get_template_part('templates/components/plan-card'); ?>
                    </div>
                </div>

                <div class="col-md-6 col-lg-4">
                    <div class="summary sticky-top my-4">
                        <div class="summary-header">
                            <h2 class="summary-header__title text-center text-white">Seu pacote</h2>
                        </div>

                        <div class="summary-products">
                            <div class="summary-item" v-for="(item, index) in carrinho" :key="item.id">
                                <div class="summary-item__header d-flex justify-content-between align-items-center">
                                <?php switch (basename(get_permalink())) { case 'internet' :  ?>
                                        <i class="icon icon-wifi text-primary"></i>
                                    <?php break; case 'tv': ?>
                                        <i class="icon icon-tv text-primary"></i>
                                    <?php break; case 'combo': ?>
                                        <i class="icon icon-combo text-primary"></i>
                                    <?php break; } ?>
                                    <span @click="removerItem(index)" class="icon icon-times"></span>
                                </div>
                                <div class="summary-item__info d-flex align-items-end flex-column">
                                    <span class="summary-item__info-title">{{ item.title }}</span>
                                    <span class="summary-item__info-price">{{ item.price | numeroPreco }}</span>
                                </div>
                            </div>

                            <div class="summary-total">
                                <div v-if="carrinho.length > 0" class="summary-total__info d-flex align-items-end flex-column">
                                    <span class="summary-total__info-label text-primary">Total</span>
                                    <span class="summary-total__info-price">{{carrinhoTotal | numeroPreco}}</span>
                                </div>
                                <div v-else class="summary-total__info d-flex align-items-end flex-column">
                                    <span class="summary-total__info-label text-black">Seu carrinho está vazio</span>
                                </div>
                            </div>
                        </div>

                        <div v-if="carrinho.length > 0" class="summary-footer">
                            <button @click="formulario = true" class="btn btn-secondary btn-checkout w-100 text-uppercase">Finalizar compra</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endwhile; ?>
