<footer class="content-info <?php echo is_front_page() ? 'mt-0' : 'content-info--internal' ?> text-center text-md-left" id="rodape">
  <div class="container">
    <div class="row">
      <div class="col-md-2">
        <img src="<?php echo images('logo.png'); ?>" alt="<?php bloginfo('name'); ?>" class="content-info__brand">
      </div>

      <?php if (has_nav_menu('my_gnex')) : ?>

      <div class="col-md-3">
        <div class="content-info__item">
          <h4 class="content-info__title">Minha GNEX</h4>
          <?php
            wp_nav_menu(array(
                'theme_location' => 'my_gnex',
                'walker' => new Bootstrap4NavMenuWalker(),
                'description' => false,
                'menu_class' => 'navbar-nav',
            ));
          ?>
        </div>
      </div>

      <?php endif; ?>

      <div class="col-md-3">
        <div class="content-info__item">
          <?php if (has_nav_menu('pages_navigation')) :
              wp_nav_menu(array(
                  'theme_location' => 'pages_navigation',
                  'walker' => new Bootstrap4NavMenuWalker(),
                  'description' => false,
                  'menu_class' => 'navbar-nav navbar-nav--pages',
              )); 
          endif; ?>  
          
          <?php if (has_nav_menu('help_navigation')) : ?>
            <h4 class="content-info__title">Ajuda</h4>
            <?php
              wp_nav_menu(array(
                  'theme_location' => 'help_navigation',
                  'walker' => new Bootstrap4NavMenuWalker(),
                  'description' => false,
                  'menu_class' => 'navbar-nav',
              )); 
            ?>
          <?php endif; ?>            
        </div>
      </div>

      <div class="col-md-4">
        <div class="content-info__item">
          <h4 class="content-info__title">Contato</h4>
          <?php
              $blogID = get_current_blog_id();
              $phone = get_blog_option( $blogID, 'phone');
              $email = get_blog_option( $blogID, 'email');
          ?>
          <div class="content-info__item">
            <?php if($phone) { ?>
              <a href="<?php echo preg_replace('/[^0-9]/', '', $phone); ?>" class="content-info__link"> 
                <span class="icon-phone text-secondary"></span>   
                <?php echo $phone; ?>
              </a>
            <?php } ?>
            <?php if($email) { ?>
              <a href="mailto:<?php echo $email; ?>" class="content-info__link">  
                <span class="icon-envelope text-secondary"></span>
                <?php echo $email; ?>
              </a>
            <?php } ?>
          </div>             
        </div>

        <div class="content-info__item">
          <h4 class="content-info__title">Localização</h4>
            <?php 
              $sites = get_sites();
              foreach($sites as $subsite) { 
              $subsite_id = get_object_vars($subsite)["blog_id"];
              $address = get_blog_option( $subsite_id, 'address');
            ?>

              <?php if($address) { ?>
                <p class="content-info__link content-info__link--local">
                  <span class="icon-map-marker-alt"></span> 
                  <?php echo $address ?>
                </p>
              <?php } ?>
            
            <?php } ?>
        </div>
      </div>
    </div>
  </div>

  <div class="content-info__copy d-flex align-items-center justify-content-center">
    <a href="javascript:;" id="pontocriativo">pontocriativo</a>
  </div>
</footer>
