<header class="header">
    <div class="accessibility-bar bg-black-light d-none d-md-block">
        <div class="container h-100">
            <ul class="tab-index list-unstyled d-flex align-items-center m-0">
                <li class="tab-index__item">
                    <a href="#menu" tabindex="1" class="tab-index__link">Menu 1</a>
                </li>
                <li class="tab-index__item">
                    <a href="#internet" tabindex="2" class="tab-index__link">Internet 2</a>
                </li>
                <li class="tab-index__item">
                    <a href="#beneficios" tabindex="3" class="tab-index__link">Benefícios 3</a>
                </li>
                <li class="tab-index__item">
                    <a href="#rodape" tabindex="4" class="tab-index__link">Rodapé 4</a>
                </li>
            </ul>

            <ul class="font-size-control list-unstyled d-flex align-items-center justify-content-center m-0">
                <li class="font-size-control__item" data-accessbility-control="fontsize-decrease">
                    <a href="javascript:;" class="font-size-control__link font-size-control__link--decrease" accesskey="-">a-</a>
                </li>
                <li class="font-size-control__item" data-accessbility-control="fontsize-reset">
                    <a href="javascript:;" class="font-size-control__link" accesskey="0">a</a>
                </li>
                <li class="font-size-control__item" data-accessbility-control="fontsize-increase">
                    <a href="javascript:;" class="font-size-control__link font-size-control__link--increase" accesskey="+">a+</a>
                </li>
            </ul>

            <ul class="v-libras list-unstyled d-flex align-items-center justify-content-end m-0">
                <li class="v-libras__item">
                    <a href="javascript:;" class="v-libras__link d-flex align-items-center justify-content-between"><span class="icon-sign-language"></span>Acessibilidade</a>
                </li>
            </ul>
        </div>
    </div>

    <div class="nav-tabs border-0 bg-gray-800 d-none d-md-flex" id="menu">
        <div class="container h-100">
            <?php
                if (has_nav_menu('business_navigation')) :
                    wp_nav_menu(array(
                    'theme_location' => 'business_navigation',
                    'walker' => new Bootstrap4NavMenuWalker(),
                    'description' => false,
                    'menu_class' => 'nav-tabs__list list-unstyled d-flex align-items-end m-0',
                    ));
                endif;
            ?>

            <div class="choose-city d-flex align-items-center justify-content-end">
                <a data-fancybox data-src="#choose-city" data-modal="true" href="javascript:;" class="btn p-0"><span class="icon-map-marker-alt"></span> <?php echo get_bloginfo()?> <span class="icon-chevron-down"></span></a>
                
                <div style="display: none;max-width:600px;" id="choose-city">
                    <div class="container h-100">
                        <header class="choose-city-header d-flex justify-content-between align-items-center">
                            <img src="<?php echo images('logo.png'); ?>" alt="<?php bloginfo('name'); ?>" class="choose-city__brand">
                            <button data-fancybox-close class="btn btn-outline-light btn-close-choose-city"><span class="icon-close"></span> Fechar</button>
                        </header>

                        <div class="row h-100">
                            <div class="col-md-12 h-100">
                                <form class="form-choose-city form-row h-100 align-items-center">
                                    <div class="form-group col-md-6">
                                        <label for="cities" class="form-label">Escolha sua cidade</label>
                                    </div>

                                    <div class="form-group col-md-6">
                                        <select class="custom-select js-example-basic-single" name="cities" id="cities" onchange="javascript:location.href = this.value;">
                                        <option> Qual sua cidade?</option>
                                        <?php 
                                            $sites = get_sites();
                                            foreach($sites as $subsite) { 
                                            $subsite_id = get_object_vars($subsite)["blog_id"];
                                            $subsite_path = get_object_vars($subsite)["path"];
                                            $subsite_name = get_blog_details($subsite_id)->blogname;
                                            $address = get_blog_option( $subsite_id, 'address');
                                        ?>

                                            <?php // if($address) { ?>
                                                <option value="<?php echo $subsite_path; ?>"><?php echo $address ?></option>
                                            <?php // } ?>                                        
                                        <?php } ?>
                                        </select>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="header-brand">
        <div class="container"> 
            <div class="d-md-flex justify-content-between">
                <div class="navbar-header">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                        <img src="<?php echo images('logo.png'); ?>" alt="<?php bloginfo('name'); ?>">    
                    </a>

                    <button type="button" class="navbar-default offcanvas-toggle d-lg-none" data-trigger="#primary-menu">
                        <div type="button" id="bars">
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                    </button>
                </div>

                <nav class="collapse navbar-collapse d-md-flex justify-content-md-end flex-grow-0" id="primary-menu">
                <?php
                    if (has_nav_menu('primary_navigation')) :
                        wp_nav_menu(array(
                        'theme_location' => 'primary_navigation',
                        'walker' => new Bootstrap4NavMenuWalker(),
                        'description' => false,
                        'menu_class' => 'navbar-nav navbar-primary flex-md-row align-items-center',
                        ));
                    endif;
                ?>
                </nav>

                <div class="my-gnex d-none d-md-flex justify-content-end">
                    <button class="btn border-0 collapsed open-login p-0" type="button" data-toggle="collapse" href="#login-collapse" role="button" aria-expanded="false" aria-controls="login-collapse">
                        Minha GNEX <span class="icon-chevron-down"></span>
                    </button>
                    
                    <div class="collapse login-collapse" id="login-collapse">
                        <?php
                            if (has_nav_menu('my_gnex')) :
                            wp_nav_menu(array(
                                'theme_location' => 'my_gnex',
                                'walker' => new Bootstrap4NavMenuWalker(),
                                'description' => false,
                                'menu_class' => 'navbar-nav',
                            ));
                            endif;
                        ?>

                        <form class="login-form">
                            <div class="form-group">
                                <label class="input-placeholder text-primary">E-mail ou CPF</label>
                                <input type="text" class="form-control form-input" id="user">
                            </div>
                            <div class="form-group">
                                <label class="input-placeholder input-placeholder--password text-primary">Senha</label>
                                <input type="password" class="form-control form-input" id="password">
                            </div>
                            <div class="form-actions d-flex align-items-center flex-column">
                                <a class="d-block reset-password" href="javascript:;">Esqueci senha</a>
                                <input type="submit" value="Entrar" class="btn btn-secondary btn-submit">
                                <a type="submit" class="d-block btn btn-outline-primary register text-center">Fazer cadastro</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
