<section class="section-component faq-section">
    <div class="container">
        <div id="accordion">
            <?php $duvidas = get_field('perguntas_frequentes'); ?>
            <?php foreach($duvidas as $key => $duvida) { ?>
            <div class="card card--<?php echo $key ?> faq-card">
                <div class="card-header p-0" id="<?php echo $key ?>" data-toggle="collapse" data-target="#duvida-<?php echo $key ?>" aria-expanded="false" aria-controls="<?php echo $key ?>">
                    <?php echo $duvida['duvida']; ?>
                    <span class="fonticon position-absolute"></span>
                </div>
                <div id="duvida-<?php echo $key ?>" class="collapse" aria-labelledby="<?php echo $key ?>" data-parent="#accordion">
                    <div class="card-body">
                        <p><?php echo $duvida['resposta'] ?></p>
                    </div>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</section>

<?php 
$vantagens = get_field('vantagens');
if (!$vantagens) {
    return;
}
?>
<section class="section-component">
    <div class="container">
        <h3 class="features__title text-primary d-block text-center"><?php echo get_field('titulo_da_sessao'); ?></h3>
        
        <div class="row">
            <?php foreach($vantagens as $vantagem) { ?>
                <?php $link = $vantagem['link']; ?>

                <div class="col-md-4">
                    <div class="feature-card <?php echo sanitize_title($vantagem['titulo']); echo $link ? ' has-link' : ''; ?> text-center">
                        <?php if($vantagem['icone']) { ?>
                            <img src="<?php echo $vantagem['icone']['url']; ?>" alt="Ícone <?php echo $vantagem['titulo']; ?>">
                        <?php } ?>
                        <h4 class="text-primary"><?php echo $vantagem['titulo']; ?></h4>
                        <p><?php echo $vantagem['descricao']; ?></p>
                        <?php if($link) { ?>
                        <a href="<?php echo $link['url']; ?>" target="<?php echo $link['target']; ?>" class="btn btn-secondary text-black-light btn-ver-mapa"><?php echo $link['title']; ?></a>
                        <?php } ?>
                    </div>
                </div>

            <?php } ?>
        </div>
    </div>
</section>
