<?php 
$vantagens = get_field('vantagens');
if (!$vantagens) {
    return;
}
?>

<section class="section-component features">
    <div class="container">
        <h3 class="features__title d-block text-center"><?php echo get_field('titulo_da_sessao'); ?></h3>
        <p class="features__subtitle features__subtitle--internal"><?php echo get_field('descricao_da_sessao'); ?></p>
        
        <div class="row">
            <?php foreach($vantagens as $vantagem) { ?>

                <div class="col-md-4">
                    <div class="feature-card <?php echo sanitize_title($vantagem['titulo']); ?> text-center">
                        <img src="<?php echo $vantagem['icone']['url']; ?>" alt="Ícone <?php echo $vantagem['titulo']; ?>">
                        <h4><?php echo $vantagem['titulo']; ?></h4>
                        <p><?php echo $vantagem['descricao']; ?></p>
                    </div>
                </div>

            <?php } ?>
        </div>
    </div>
</section>

<?php 
$planos = get_news_highlights('internet', null, 'nossos_planos_de_internet');
if (!$planos) {
    return;
}
?>

<section class="section-component custom-plans">
    <div class="container">
        <h3 class="custom-plans-title d-block text-center"><?php echo get_field('titulo_da_sessao_dos_planos'); ?></h3>
       
        <div class="custom-plans__slider">
            <?php foreach($planos as $plano) { ?>
                <div class="plan-card">
                    <div class="plan-card__top d-flex align-items-center flex-column">
                        <h4 class="text-center"><?php echo $plano->post_title; ?></h4>
                        <ul class="plan-card__list list-unstyled text-left">
                            <?php foreach( get_field('itens', $plano->ID) as $item) {  ?>
                                <li><i class="icon icon-check text-secondary"></i> <?php echo $item['item']; ?></li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="plan-card__bottom d-flex align-items-center flex-column">
                        <?php $value = get_field('valor_original', $plano->ID); ?>
                        <p class="promocional-price">R$ <?php echo number_format_i18n($value, 2); ?></span></p>
                        <a href="<?php echo get_assine_url(); ?>" class="btn btn-secondary text-black-light btn-assine text-uppercase">Assine já</a>
                        <a href="//wa.me/08002800325?text=Olá, Quero contratar." target="_blank" class="btn btn-whatsapp">Assine via Whatsapp</a>
                    </div>
                </div>
            <?php } ?>
        </div>

    </div>
</section>